@import url('https://fonts.googleapis.com/css2?family=Chewy&family=Dancing+Script:wght@400..700&family=Funnel+Sans:ital,wght@0,300..800;1,300..800&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Noto+Sans:ital,wght@0,100..900;1,100..900&family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Roboto+Slab:wght@100..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');
body,
html {
    margin: 0;
    padding: 0;
    height: 100%;
    font-family: Arial, Helvetica, sans-serif;
    font-family: "Roboto", sans-serif;
}

.navbar-custom {
    background-color: black;
    padding: 4px 0;
}

.nav-link {
    font-weight: 700 !important;
    font-size: 14px !important;
}

.nav-item {
    margin: 0 11px;
}

.container {
    max-width: 1180px;
}

.navbar-custom .navbar-brand,
.navbar-custom .nav-link,
.navbar-custom .dropdown-toggle {
    color: white;
    font-weight: 500;
}

.navbar-custom .nav-link:hover,
.navbar-custom .dropdown-toggle:hover {
    color: #ccc;
}

.dropdown-menu {
    background-color: #000;
}

.dropdown-menu .dropdown-item {
    color: white;
}

.dropdown-menu .dropdown-item:hover {
    background-color: #333;
}

.banner {
    background: url('../images/AMitabg.png') bottom center/cover no-repeat;

    height: 90vh;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 0 20px;
}

.banner-shadow {
    position: relative;
}

.banner-shadow::before {
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    left: 0;
    right: 0;
    background-color: transparent;
    --background-overlay: "";
    background-image: linear-gradient(180deg, #10101000 50%, #F8F2EB 100%);
}

.banner h1 {
    font-size: 4rem;
    font-weight: bold;
}

.banner h3 {
    font-style: italic;
    margin-top: 20px;
}

.btn-explore {
    margin-top: 30px;
    padding: 12px 30px;
    border-radius: 30px;
    border: 2px solid white;
    background: transparent;
    color: white;
    transition: all 0.3s ease-in-out;
}

.btn-explore:hover {
    background-color: white;
    color: black;
}

.navbar-nav .nav-link.show {
    color: white;
}

@media (max-width: 768px) {
    .banner h1 {
        font-size: 2.5rem;
    }

    .banner h3 {
        font-size: 1.2rem;
    }
}

/* css for moment section */
.moments-section {
    background-color: var(--main-color);
}

/* our brands section */
.brands-swiper-container {
    width: 100%;
    max-width: 1000px;
    margin: auto;
    padding-bottom: 50px;
}

.brands-swiper-slide {
    background: transparent;
    border-radius: 12px;
    text-align: center;
    padding: 10px;
    font-size: 18px;
    /* box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1); */
}

.intro-section {
    background: linear-gradient(90deg, hsla(0, 0%, 0%, 1) 0%, hsla(0, 20%, 34%, 1) 100%);
    color: white;
    padding-left: 15%;
    overflow: hidden;
}

.intro-section h2 {
    font-size: 3rem;
    font-weight: bold;
    text-transform: uppercase;

}
@media screen and (max-width:576px){
    .intro-section {
        padding:5% 2%;
    }
    .intro-section h2 {
         font-size: 2.2rem;
    }
    .banner{
        height:55vh;
    }
}
.intro-section h5 {
    font-style: italic;
    color: #ccc;
}

.intro-section h5 {
    max-width: 500px;
}

.intro-section .intro-text {
    max-width: 500px;
}

.intro-section img {
    width: 100%;
    height: auto;
    object-fit: contain;
    height: 300px;
}

.inner-side-client {
    position: relative;
    margin-right: -150px;
    z-index: 9999;
}

.intro-section .side-client {
    border-radius:12px;
    margin-top:-20px;
    width: 100%;
    min-height: 450px;
    background: url('../images/AmitaJuneja.png') center center/contain no-repeat !important;

}

/* portfolio section home page  */
.portfolio-section {
    background-color: #111;
    background: url('../images/portfolio-bg.png') center center/cover no-repeat !important;
}

.portfolio-item {
    background-size: cover;
    background-position: center;
    color: #fff;
    padding: 80px 20px;
    border-radius: 10px;
    text-shadow: 0 2px 5px rgba(0, 0, 0, 0.7);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 300px;
    transition: 0.3s ease-in-out;
}

.portfolio-item:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.3);
}

/* Background images */
.bg-fashion {
    background: url('../images/2.jpg') top center/cover no-repeat;
}

.bg-wedding {
    background: url('../images/1.jpg') top center/cover no-repeat;
}

.bg-commercial {
    background: url('../images/3.jpg') top center/cover no-repeat;
}

.bg-celebrity {
    background: url('../images/4.jpg') top center/cover no-repeat;
}

.bg-product {
    background: url('../images/5.jpg') top center/cover no-repeat;
}

.bg-art {
    background: url('../images/7.jpg') top center/cover no-repeat;
}

.bg-music {
    background: url('../images/6.jpg') top center/cover no-repeat;
}

.portfolio-item h4 {
    font-size: 1.5rem;
    font-weight: bold;
}

.portfolio-item a {
    align-self: center;
}

.portfolio-item .btn {
    padding: 5px 22px ! important;
    text-shadow: none !important;
}

/* siper for instagram */
.insta-footer {
    background-color: #e8e8e8;
}

.instagram-swiper .swiper-slide img {
    width: 100%;
    height: auto;
    /* border-radius: 10px; */
    object-fit: cover;
}



.instagram-swiper .swiper-slide {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
}

.instagram-swiper .swiper-slide img {
    width: 330px;
    height: 400px;
    object-fit: cover;
    /* Ensures image fills the slide container without distortion */
    max-width: 100%;
    max-height: 100%;
    /* border-radius: 10px; */
}

/* Ensure swiper buttons and pagination are visible */
.instagram-swiper .swiper-button-next,
.instagram-swiper .swiper-button-prev {
    color: #fff !important;
    font-size: 24px;
    background: rgba(0, 0, 0, 0.5);
    /* Add background for visibility */
    border-radius: 50%;
    padding: 10px;
    z-index: 10;
    /* Ensure the buttons appear above the slides */
}

.instagram-swiper .swiper-button-next:hover,
.instagram-swiper .swiper-button-prev:hover {
    background: rgba(0, 0, 0, 0.8);
    /* Darken on hover */
}

.instagram-swiper .swiper-pagination {
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 10;
}

.instagram-swiper .swiper-pagination-bullet {
    background: #fff;
    /* White dots for pagination */
    opacity: 0.7;
    width: 12px;
    height: 12px;
    border-radius: 50%;
}

.instagram-swiper .swiper-pagination-bullet-active {
    opacity: 1;
    /* Active bullet full opacity */
    background: #4e4e4e;
    /* Blue for active bullet */
}

.insta-btn {
    border-radius: 4px;
    min-width: 180px;

}

/* testimonial  */
.testimonial {
    background-color: #000;
}


.testimonial .slider-container {
    width: 100%;
    max-width: 100%;
    margin: 20px auto;
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
}

.testimonial .slider-track {
    display: flex;
    transition: transform 0.4s ease-in-out;
}

.testimonial .slider-item {
    min-width: 100%;
    min-height: 180px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    /* font-size: 2rem; */
    background: transparent;
}

.testimonial .slider-item p {
    width: 75%;
    text-align: center;
    font-style: italic;
    color: #fff;
}

.testimonial .nav-button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    padding: 12px 18px;
    font-size: 30px;
    cursor: pointer;
    border-radius: 50%;
    z-index: 1;
}

.testimonial .nav-button:hover {
    background-color: rgba(0, 0, 0, 0.7);
}

.testimonial .prev-btn {
    left: 10px;
}

.testimonial .next-btn {
    right: 10px;
}

/* portfolio page design */
#portfolio-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 12px;
}

/* contact form */
.contact-form {
    background: #ffffff;
    /* padding: 40px; */
    border-radius: 15px;
    /* box-shadow: 0 8px 20px rgba(0, 0, 0, 0.1); */
}

.form-control {
    border-radius: 0;
    border: none;
    border-bottom: 1px solid #1b1b1b;
}

.form-control:focus {
    box-shadow: none;
    border-bottom: 1px solid #1b1b1b;
}

.btn-custom {
    background-color: #000;
    border: 1px solid #000;
    color: white;
    transition: background-color 0.9s ease;
}

.btn-custom:hover {
    background-color: transparent;
    color: #000;
    border: 1px solid #000;
}

.contact-box {
    padding: 50px;
    margin-top: -180px;
    background-color: #fff;
}
@media screen and (max-width:576px){
    .contact-box{
        margin-top:-260px;
    }
    .banner h1{
        margin-bottom:90px;
    }
    .inner-side-client{
        margin-right:0;
    }
}
.form-label {
    font-family: sans-serif;
    margin-bottom: 0;
    color: #302f2f;
    font-size: 14px;
}

.brands-swiper-container img{
    width:100%;
    object-fit:cover;
}